var isIE = document.all?true:false;
var isNS = document.layers?true:false;
function onlyDigits(e,decReq) {
	var key = (isIE) ? window.event.keyCode : e.which;
	var obj = (isIE) ? event.srcElement : e.target;
	var isNum = (key > 47 && key < 58) ? true:false;
	var dotOK = (key==46 && decReq=='decOK' && (obj.value.indexOf(".")<0 || obj.value.length==0)) ? true:false;
	window.event.keyCode = (!isNum && !dotOK && isIE) ? 0:key;
	e.which = (!isNum && !dotOK && isNS) ? 0:key;
	return (isNum || dotOK);
}
function noRet(e,decReq) {
	var key = (isIE) ? window.event.keyCode : e.which;
	var obj = (isIE) ? event.srcElement : e.target;
	var isRet = (key==13 || key=="35" || key=="34" || key=="126" || key=="124") ? false:true;
	window.event.keyCode = (!isRet && isIE) ? 0:key;
	return (isRet);
}


//funcion para validar campos con expresiones regulares
function evaluar_expresion(sVAR,sTipo) {
    
    var er_fecha = /^(\d{4})(-)(0[1-9]|1[012])\2([012][0-9]|3[0|1])$/   //dd-mm-aaaa
    var er_hora = /^(0[1-9]|1\d|2[0-3]):([0-5]\d):([0-5]\d)$/ //hh:mm:ss
     
    switch(sTipo)
    {
    case "fecha":
        if (!er_fecha.test(sVAR)) {
          alert("rechazada");
          return false;
        }
        alert("aceptado");
        return true;
        break;
    case "hora":
        if (!er_hora.test(sVAR)) {
          alert("rechazada");
          return false;
        }
        alert("aceptado");
        return true;
        break;
    }
    
    alert("tipo incorrecto");
    return false;
}